Bug 851009 - Add sysconfig options file to init script.
Add sysconfig options file to init script.
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: zabbix (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 01:37 EDT by nelsonab
Modified: 2013-04-26 11:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-26 11:15:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nelsonab 2012-08-23 01:37:30 EDT
Description of problem:
Presently the Zabbix init scripts do not load generalized options from a central init script.  The following two lines add such a capability.  This is most useful should someone wish to run the Zabbix server/agent with a nice level other than the default 0.

Version-Release number of selected component (if applicable):
All

Note:
The following code segment has been tested to work the the zabbix agent start script only.  In my case I added it at line 27.

Code:
if [ -e /etc/sysconfig/zabbix ]; then
       . /etc/sysconfig/zabbix
fi
Comment 1 Dan Horák 2012-09-14 16:04:41 EDT
Makes sense to me, Volker, what do you think?
Comment 2 Volker Fröhlich 2012-09-14 16:15:17 EDT
Yes, I already prepared it.
Comment 3 Fedora Update System 2012-10-20 18:06:13 EDT
zabbix-1.8.15-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zabbix-1.8.15-2.el6
Comment 4 Volker Fröhlich 2012-10-26 17:06:08 EDT
The same change is in the 2.0 package, up for review.

https://bugzilla.redhat.com/show_bug.cgi?id=867159
Comment 5 Fedora Update System 2012-11-07 12:29:25 EST
zabbix-1.8.15-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.